@mixin input {
    border-radius: $spacer-xs;
    border: 1px solid $blue-light;
    box-shadow: 1px 1px 4px $blue-light;
    padding: $spacer-xs + 2;
    font-family: $font-core;
    @include font-size($text-s);
    color: $grey-dark;
    margin-bottom: $spacer-s + 2;
    display: inline-block;
    &::placeholder { color:$grey-light; }
    &:focus{
        border: 2px solid $grey-dark;
        outline: 0;
    }
}

.input-text__core{
    width: 100%;
    @include input;
}

.input-number__core{
    width: 100%;
    @include input;
}

.input-area__core{
    width: 100%;
    @include input;
    height: 100%;
}
.container--group{
    display: flex;
    column-gap: $spacer-xs;
    span{
        color: $grey-dark;
        @include font-size($spacer-m);
    }
}

.container-file{
    border-radius: $spacer-xs;
    background-color: $blue-light ;
    position: relative;
    overflow: hidden;
    font-size: $spacer-l;
    display: flex;
    padding: $spacer-s;
    text-align: center;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    row-gap: $spacer-xs;
    color: $blue-core;
    margin-bottom: $spacer-s;
    cursor: pointer;
    box-shadow: 1px 1px 4px $blue-light;
    .input-file__core{
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        height: 100%;
        opacity: 0;
        cursor: pointer;
        z-index: 10;
    }
    i{
        font-weight: light;
        cursor: pointer;
    }
    span{
        @include font-size($text-s);
        font-family: $font-core;
        cursor: pointer;
    }

}


